{ config, pkgs, ... }:

{
    home.packages = with pkgs; [
        clang
        go
        nodejs
        luarocks
        jre
        python3
        python311Packages.pip
        julia
        unzip
        dotnet-sdk_8
        cargo
    ];

    home.file."${config.xdg.configHome}/nvim" = {
        source = ./files;
        recursive = true;
    };

    programs.neovim = {
        enable = true;
        viAlias = true;
        vimAlias = true;
        defaultEditor = true;
    };
}
